Bug 1935426

Summary: /usr/lib/systemd/system/lttng-session.service is a PGP key, not a systemd .service unit
Product: [Fedora] Fedora Reporter: Chris Siebenmann <cks-rhbugzilla>
Component: lttng-toolsAssignee: Yannick Brosseau <yannick.brosseau>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: dmarlin, ktdreyer, mjeanson, ramkrsna, suchakra, yannick.brosseau
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: lttng-tools-2.12.2-3.fc33 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-03-12 20:29:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Chris Siebenmann 2021-03-04 21:47:26 UTC
Description of problem:

lttng-tools packages, among other things, a systemd .service file,
/usr/lib/systemd/system/lttng-sessiond.service. However this file
is actually a PGP key, not a systemd service unit.


Version-Release number of selected component (if applicable):

lttng-tools-2.12.2-2.fc33.x86_64


How reproducible:
100%

Steps to Reproduce:
1. install lttng-tools
2. inspect /usr/lib/systemd/system/lttng-sessiond.service

Comment 1 Fedora Update System 2021-03-05 00:19:26 UTC
FEDORA-2021-7c596bef7a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c596bef7a

Comment 2 Fedora Update System 2021-03-05 18:56:49 UTC
FEDORA-2021-7c596bef7a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7c596bef7a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c596bef7a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-03-12 20:29:32 UTC
FEDORA-2021-7c596bef7a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.